## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# scfImplementation3< Class, I1, I2, I3 > Class Template Reference

Inheritance diagram for scfImplementation3< Class, I1, I2, I3 >:

[legend]
List of all members.

## Public Member Functions

void * | QueryInterface (scfInterfaceID id, scfInterfaceVersion version)
| Query a particular interface implemented by this object.

## Protected Types

typedef Class | scfClassType
typedef scfImplementation3< Class,I1, I2, I3 > | scfImplementationType

## Protected Member Functions

| scfImplementation3 (Class *object, iBase *parent=0)
virtual | ~scfImplementation3 ()

## Detailed Description

### template<class Class, class I1, class I2, class I3>
class scfImplementation3< Class, I1, I2, I3 >

Definition at line 281 of file scf_implgen.h.

## Member Function Documentation

template<class Class, class I1, class I2, class I3>

void* scfImplementation3< Class, I1, I2, I3 >::QueryInterface | ( | scfInterfaceID | id,
|  | scfInterfaceVersion | version |
| ) |  |  | `[inline, virtual]`

Query a particular interface implemented by this object.

You are _not_ allowed to cast this to anything but a pointer to this interface (not even iBase). Use scfQueryInterface<interface> instead of using this method directly.

Reimplemented from scfImplementation< Class >.

Definition at line 286 of file scf_implgen.h.

The documentation for this class was generated from the following file:

- csutil/scf_implgen.h